Package com.castlabs.android.player

# Class PlayerViewLifecycleDelegate.ResumeConfiguration

java.lang.Object
com.castlabs.android.player.PlayerViewLifecycleDelegate.ResumeConfiguration

Enclosing class:
  `PlayerViewLifecycleDelegate`

public static final class PlayerViewLifecycleDelegate.ResumeConfiguration extends Object
Configuration object which will dictate the behaviour of the `PlayerController` whenever the enclosing

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `PlayerViewLifecycleDelegate.ResumeConfiguration.Builder`
  Builder for `PlayerViewLifecycleDelegate.ResumeConfiguration` instances.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final boolean`
  `DEFAULT_DISABLE_TRICKPLAY`
  Default value for whether to disable any Trickplay mode.
  `static final boolean`
  `DEFAULT_PAUSE`
  Default value for whether to start the player in a paused state.
  `final boolean`
  `disableTrickplay`
  Whether to disable any Trickplay mode (and thus setting the playback speed to 1) when `PlayerViewLifecycleDelegate.resume()` is called.
  `final boolean`
  `pause`
  Whether to start the player in a paused state when `PlayerViewLifecycleDelegate.resume()` is called.

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_PAUSE

    public static final boolean DEFAULT_PAUSE
    Default value for whether to start the player in a paused state.
    See Also:
      - Constant Field Values

  - ### DEFAULT_DISABLE_TRICKPLAY

    public static final boolean DEFAULT_DISABLE_TRICKPLAY
    Default value for whether to disable any Trickplay mode.
    See Also:
      - Constant Field Values

  - ### pause

    public final boolean pause
    Whether to start the player in a paused state when `PlayerViewLifecycleDelegate.resume()` is called.

  - ### disableTrickplay

    public final boolean disableTrickplay
    Whether to disable any Trickplay mode (and thus setting the playback speed to 1) when `PlayerViewLifecycleDelegate.resume()` is called.